# openstack.block_storage.v3.transfer

## The Volume Transfer Class

The `Volume Transfer` class inherits from `Resource`.

class openstack.block_storage.v3.transfer.Transfer(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'transfer'

    Singular form of key for resource.

  resources_key = 'transfers'

    Plural form of key for resource.

  base_path = '/volume-transfers'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  id

    UUID of the transfer.

  created_at

    The date and time when the resource was created.

  name

    Name of the volume to transfer.

  volume_id

    ID of the volume to transfer.

  auth_key

    Auth key for the transfer.

  links

    A list of links associated with this volume. Type: list

  no_snapshots

    Whether to transfer snapshots or not

  create(session, prepend_key=True, base_path=None, *, resource_request_key=None, resource_response_key=None, microversion=None, **params)

    Create a volume transfer.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource creation request. Default to True.

      - base_path (str) – Base part of the URI for creating resources, if different from `base_path`.

      - resource_request_key (str) – Overrides the usage of self.resource_key when prepending a key to the request body. Ignored if prepend_key is false.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing response bodies. Ignored if prepend_key is false.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional params to pass.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_create` is not set to `True`.

  fetch(session, requires_id=True, base_path=None, error_message=None, skip_cache=False, *, resource_response_key=None, microversion=None, **params)

    Get volume transfer.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - requires_id (boolean) – A boolean indicating whether resource ID should be part of the requested URI.

      - base_path (str) – Base part of the URI for fetching resources, if different from `base_path`.

      - error_message (str) – An Error message to be returned if requested object does not exist.

      - skip_cache (bool) – A boolean indicating whether optional API cache should be skipped for this invocation.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing the response body.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional parameters that can be consumed.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_fetch` is not set to `True`.

    Raises:

      `NotFoundException` if the resource was not found.

  delete(session, error_message=None, *, microversion=None, **kwargs)

    Delete a volume transfer.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - microversion (str) – API version to override the negotiated one.

      - kwargs (dict) – Parameters that will be passed to _prepare_request()

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_commit` is not set to `True`.

    Raises:

      `NotFoundException` if the resource was not found.

  accept(session, *, auth_key=None)

    Accept a volume transfer.

    Parameters:

      - session – The session to use for making this request.

      - auth_key – The authentication key for the volume transfer.

    Returns:

      This `Transfer` instance.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.